Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 190188 - Update Firefox Window Icon
Summary: Update Firefox Window Icon
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-04-28 16:36 UTC by n0dalus
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-27 06:50:07 UTC


Attachments (Terms of Use)
Current Icon (left) and Official Icon (right) (deleted)
2006-04-28 16:36 UTC, n0dalus
no flags Details

Description n0dalus 2006-04-28 16:36:30 UTC
Since some time around December 2004 (according to the ChangeLog on the spec
file), Fedora has been shipping a default.xpm logo that is some what uglier than
the official logo. I'm not sure why it was introduced (firefox.xpm in the spec),
but the screenshot attached shows that the official branded xpm distributed with
the source tarball (mozilla/other-licenses/branding/firefox/default.xpm) is much
nicer.

In the spec file, instead of:
%{__cp} %{SOURCE23} $RPM_BUILD_ROOT%{ffdir}/chrome/icons/default/default.xpm
%{__cp} %{SOURCE23} $RPM_BUILD_ROOT%{ffdir}/icons/default.xpm

We should copy the xpm out of mozilla/other-licenses/branding/firefox in the source.

Comment 1 n0dalus 2006-04-28 16:36:30 UTC
Created attachment 128365 [details]
Current Icon (left) and Official Icon (right)

Comment 2 Andy Burns 2006-04-29 14:48:05 UTC
Sorry if I'm hi-jacking your bug, but the thunderbird icon is even uglier, just
a default X icon, at least someone posted a workaround ...

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=177823



Comment 3 Leo 2006-08-20 12:32:23 UTC
Fedora is really slow at fixing small bugs. That's why many of us just stop
reporting them.

Comment 4 Matthew Miller 2006-08-20 15:00:54 UTC
Fedora is really fast at fixing many bugs, but there are several serious and
high-profile problem spots. "Anything related to Firefox" is unfortunately one
of those spots.

Comment 5 Christopher Aillon 2006-09-27 06:50:07 UTC
This was actually fixed a bit ago.


Note You need to log in before you can comment on or make changes to this bug.